ruby-libvirt error messages constantly displayed when using foreman-rake or hammer
Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1312725 Red Hat JIRA:  

Pull request:    

Description

On a system that has installed foreman-libvirt, the ruby-libvirt library throws constant warnings regarding being improperly built, linked

or missing dependencies:

Ignoring ruby-libvirt-0.5.2 because its extensions are not built.  Try: gem pristine ruby-libvirt 

--version 0.5.2

 This causes some automation and results to fail as this unexpected warning pops up in the results.

Related issues:

Related to Packaging - Feature #7228: Rebuild packages under ror41/ruby22 SCLs Closed 08/22/2014

Has duplicate Hammer CLI - Bug #13949: hammer --help page displays with warni... Duplicate 02/29/2016

Associated revisions

Revision 182a53a8 - 03/03/2016 09:33 AM - Dominic Cleal

fixes #13948 - add missing gem.build_complete file

History

#1 - 02/29/2016 08:27 AM - Eric Helms

- Bugzilla link set to 1312725

#2 - 02/29/2016 08:30 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#3 - 02/29/2016 08:30 AM - Dominic Cleal

- Related to Feature #7228: Rebuild packages under ror41/ruby22 SCLs added

#4 - 02/29/2016 09:46 AM - Dominic Cleal

- Has duplicate Bug #13949: hammer --help page displays with warning : ruby-libvirt --version  added

#5 - 03/03/2016 09:27 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#6 - 03/03/2016 10:02 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 182a53a814cf1946721dbd1dfe2c3e33e00c0805.
